package cn.novalon.manage.app.config;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.junit.jupiter.MockitoExtension;
import org.springframework.http.codec.multipart.MultipartHttpMessageReader;

import static org.assertj.core.api.Assertions.assertThat;

@ExtendWith(MockitoExtension.class)
class MultipartConfigTest {

    private MultipartConfig multipartConfig;

    @BeforeEach
    void setUp() {
        multipartConfig = new MultipartConfig();
    }

    @Test
    void testMultipartConfig() {
        assertThat(multipartConfig).isNotNull();
    }

    @Test
    void testMultipartHttpMessageReader() {
        MultipartHttpMessageReader reader = multipartConfig.multipartHttpMessageReader();
        
        assertThat(reader).isNotNull();
    }
}